package kz.cafe.client.rest.wrappers;

import java.util.*;
import javax.xml.bind.annotation.*;

@XmlRootElement(name="response")
public class JRNewsListResponse extends JRAbstractDeleteableResponse{
   
   @XmlElementWrapper(name="list")   
   @XmlElement(name="item")   
   public List<JMItem> list = new ArrayList<JMItem>();
   
   
   public JMItem add(){
      JMItem jmItem = new JMItem();
      list.add(jmItem);
      
      return jmItem;
   }
   
   
   public static class JMItem extends JMAbstractDescriptor{
      public Integer CID;
      public long date_notification;
      public Boolean main_screen;
      public Boolean news_screen;
   }

   

   public JRNewsListResponse(){
   }


   public JRNewsListResponse(Throwable e){
      super(e);
   }
}
